/* SplittingPresetPane 

	In future, PresetPane class is subclass of NSPreferencePane, and handles
	most of the work with PreferenceController (e.g. _pc).  It should be in a framework
	otherwise we will have multiple class definitions and the obj-c loader will
	be confused.  Future plan:
	-setDelegate:(id)delegate
	Delegate is the preset controller and it should implement method:
	-presetPane:(PresetPane *)pp valueChanged:(id)value forKey:(id)key {
		// update selected preset
		// set dirty flag of preset controller
		}
*/

#import <Cocoa/Cocoa.h>
#import <PreferencePanes/NSPreferencePane.h>

@interface SplittingPresetPane : NSPreferencePane
{
	IBOutlet id dontAutoSplitCheckbox;	
	IBOutlet id splitAdjustmentTextField;
	IBOutlet id splitEarlierOrLaterPopUp;
	IBOutlet id manualSplitStyleMatrix;
	IBOutlet id manualSplitSizeTextField;
	IBOutlet id manualSplitTimeTextField;
}
- (IBAction)updateAutoSplitAdjustment:(id)sender;
- (IBAction)updateEarlierOrLaterPopup:(id)sender;
- (IBAction)updateForceManualSplit:(id)sender;
- (IBAction)updateManualSplitSize:(id)sender;
- (IBAction)updateManualSplitStyle:(id)sender;
- (IBAction)updateManualSplitTime:(id)sender;
@end
